/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { MessagesDirective } from './messages';
import * as i0 from "@angular/core";
/**
 * Overrides the default Spreadsheet component messages with custom messages.
 * You can use this component to provide custom text for the Spreadsheet UI elements, such as the toolbar, dialogs, and other components.
 *
 * @example
 * ```html
 * <kendo-spreadsheet [sheets]="sheets">
 *      <kendo-spreadsheet-messages home="Home" file="File">
 *      </kendo-spreadsheet-messages>
 * </kendo-spreadsheet>
 * ```
 */
export declare class CustomMessagesComponent extends MessagesDirective {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMessagesComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CustomMessagesComponent, "kendo-spreadsheet-messages", never, {}, {}, never, never, true, never>;
}
