/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class MessagesDirective extends ComponentMessages {
    /**
     * Sets the name for the **Home** toolbar tab.
     */
    home: string;
    /**
     * Sets the name for the **File** toolbar tab.
     */
    file: string;
    /**
     * Sets the name for the **Insert** toolbar tab.
     */
    insert: string;
    /**
     * Sets the name for the **Format** toolbar tab.
     */
    formatTab: string;
    /**
     * Sets the name for the **Data** toolbar tab.
     */
    dataTab: string;
    /**
     * Sets the title for the **Save** File tool.
     */
    saveFile: string;
    /**
     * Sets the title for the **Load File** tool.
     */
    loadFile: string;
    /**
     * Sets the title for the **Bold** tool.
     */
    bold: string;
    /**
     * Sets the title for the **Data Validation** tool.
     */
    dataValidation: string;
    /**
     * Sets the label text for the Cell Range input in the data validation dialog.
     */
    validationCellRange: string;
    /**
     * Sets the label text for the Criteria dropdown in the data validation dialog.
     */
    validationCriteria: string;
    /**
     * Sets the label text for the Comparer dropdown in the data validation dialog.
     */
    validationComparer: string;
    /**
     * Sets the label text for the Min value in the data validation dialog.
     */
    validationMinValue: string;
    /**
     * Sets the label text for the Max value in the data validation dialog.
     */
    validationMaxValue: string;
    /**
     * Sets the label text for the Start value in the data validation dialog.
     */
    validationStartValue: string;
    /**
     * Sets the label text for the End value in the data validation dialog.
     */
    validationEndValue: string;
    /**
     * Sets the label text for the Value in the data validation dialog.
     */
    validationValue: string;
    /**
     * Sets the label text for the Show list button checkbox in the data validation dialog.
     */
    validationShowListButtonCheckbox: string;
    /**
     * Sets the label text for the Show date button checkbox in the data validation dialog.
     */
    validationShowDateButtonCheckbox: string;
    /**
     * Sets the label text for the Ignore blank checkbox in the data validation dialog.
     */
    validationIgnoreBlankCheckbox: string;
    /**
     * Sets the label text for the On invalid data option in the data validation dialog.
     */
    validationOnInvalidData: string;
    /**
     * Sets the label text for the Reject input radio button in the data validation dialog.
     */
    validationRejectInput: string;
    /**
     * Sets the label text for the Show warning radio button in the data validation dialog.
     */
    validationShowWarning: string;
    /**
     * Sets the label text for the Show hint checkbox in the data validation dialog.
     */
    validationShowHint: string;
    /**
     * Sets the text for the Any value validation criteria.
     */
    anyValueValidationCriteria: string;
    /**
     * Sets the text for the Number validation criteria.
     */
    numberValidationCriteria: string;
    /**
     * Sets the text for the Text validation criteria.
     */
    textValidationCriteria: string;
    /**
     * Sets the text for the Date validation criteria.
     */
    dateValidationCriteria: string;
    /**
     * Sets the text for the Custom Formula validation criteria.
     */
    customFormulaValidationCriteria: string;
    /**
     * Sets the text for the List validation criteria.
     */
    listValidationCriteria: string;
    /**
     * Sets the text for the greater than validation comparer.
     */
    greaterThanValidationComparer: string;
    /**
     * Sets the text for the less than validation comparer.
     */
    lessThanValidationComparer: string;
    /**
     * Sets the text for the between validation comparer.
     */
    betweenValidationComparer: string;
    /**
     * Sets the text for the not between validation comparer.
     */
    notBetweenValidationComparer: string;
    /**
     * Sets the text for the equal to validation comparer.
     */
    equalToValidationComparer: string;
    /**
     * Sets the text for the not equal to validation comparer.
     */
    notEqualToValidationComparer: string;
    /**
     * Sets the text for the greater than or equal to validation comparer.
     */
    greaterThanOrEqualToValidationComparer: string;
    /**
     * Sets the text for the less than or equal to validation comparer.
     */
    lessThanOrEqualToValidationComparer: string;
    /**
     * Sets the label text for the Custom hint input in the data validation dialog.
     */
    validationHintMessage: string;
    /**
     * Sets the label text for the Custom hint title input in the data validation dialog.
     */
    validationHintTitle: string;
    /**
     * Sets the title for the **Italic** tool.
     */
    italic: string;
    /**
     * Sets the title for the **Underline** tool.
     */
    underline: string;
    /**
     * Sets the title for the **Format** tool.
     */
    format: string;
    /**
     * Sets the title for the **Font Family** tool.
     */
    fontFamily: string;
    /**
     * Sets the title for the **Font Size** tool.
     */
    fontSize: string;
    /**
     * Sets the title for the **Undo** tool.
     */
    undo: string;
    /**
     * Sets the title for the **Redo** tool.
     */
    redo: string;
    /**
     * Sets the title for the tool that changes the text background color.
     */
    background: string;
    /**
     * Sets the title for the tool that changes the text font color.
     */
    color: string;
    /**
     * Sets the title for the **Grid Lines** tool.
     */
    gridLines: string;
    /**
     * Sets the title for the tool that adds a new column before the selected column.
     */
    addColumnLeft: string;
    /**
     * Sets the title for the tool that adds a new column after the selected column.
     */
    addColumnRight: string;
    /**
     * Sets the title for the tool that adds a new row below the selected row.
     */
    addRowBelow: string;
    /**
     * Sets the title for the tool that adds a new row above the selected row.
     */
    addRowAbove: string;
    /**
     * Sets the title for the tool that deletes a column.
     */
    deleteColumn: string;
    /**
     * Sets the title for the tool that deletes a row.
     */
    deleteRow: string;
    /**
     * Sets the title for the **Text Wrap** tool.
     */
    wrap: string;
    /**
     * Sets the title for the **Text Align** tool.
     */
    align: string;
    /**
     * Sets the title for the **Text Align Horizontal** tool.
     */
    alignHorizontal: string;
    /**
     * Sets the title for the **Text Align Vertical** tool.
     */
    alignVertical: string;
    /**
     * Sets the title for the **Text Align Left** tool.
     */
    alignLeft: string;
    /**
     * Sets the title for the **Text Align Center** tool.
     */
    alignCenter: string;
    /**
     * Sets the title for the **Text Align Right** tool.
     */
    alignRight: string;
    /**
     * Sets the title for the **Text Align Justify** tool.
     */
    alignJustify: string;
    /**
     * Sets the title for the **Text Align Top** tool.
     */
    alignTop: string;
    /**
     * Sets the title for the **Text Align Middle** tool.
     */
    alignMiddle: string;
    /**
     * Sets the title for the **Text Align Bottom** tool.
     */
    alignBottom: string;
    /**
     * Sets the text for the **Apply** button in all Spreadsheet dialogs.
     */
    dialogApply: string;
    /**
     * Sets the text for the **Cancel** button in all Spreadsheet dialogs.
     */
    dialogCancel: string;
    /**
     * Sets the text for the **Delete** button in the Delete sheet dialog.
     */
    dialogDelete: string;
    /**
     * Sets the text for the **Rename** button in the Rename sheet dialog.
     */
    dialogRename: string;
    /**
     * Sets the text for the **Insert** button in all Spreadsheet dialogs.
     */
    dialogInsert: string;
    /**
     * Sets the text for the **Remove** button in all Spreadsheet dialogs.
     */
    dialogRemove: string;
    /**
     * Sets the text for the **Remove link** button in the Link tool dialog.
     */
    dialogRemoveLink: string;
    /**
     * Sets the title for the Delete sheet dialog.
     */
    delete: string;
    /**
     * Sets the title for the Rename sheet dialog.
     */
    rename: string;
    /**
     * Sets the title for the Name Box input.
     */
    nameBox: string;
    /**
     * Sets the title for the Formula input.
     */
    formulaInput: string;
    /**
     * Sets the title for the Add new sheet button.
     */
    addSheet: string;
    /**
     * Sets the title for the Sheets menu button.
     */
    sheetsMenu: string;
    /**
     * Sets the text for the View toolbar tab.
     */
    view: string;
    /**
     * Sets the title for the Cells Merge tool.
     */
    merge: string;
    /**
     * Sets the title for the Merge horizontally tool.
     */
    mergeHorizontally: string;
    /**
     * Sets the title for the Merge vertically tool.
     */
    mergeVertically: string;
    /**
     * Sets the title for the Merge all tool.
     */
    mergeAll: string;
    /**
     * Sets the title for the Unmerge tool.
     */
    unmerge: string;
    /**
     * Sets the title for the tool that inserts a link.
     */
    insertLink: string;
    /**
     * Sets the title for the tool that increases decimals.
     */
    increaseDecimal: string;
    /**
     * Sets the title for the tool that decreases decimals.
     */
    decreaseDecimal: string;
    /**
     * Sets the title for the tool that increases the cell font size.
     */
    increaseFontSize: string;
    /**
     * Sets the title for the tool that decreases the cell font size.
     */
    decreaseFontSize: string;
    /**
     * Sets the content for the dialog that warns about an unsupported file type.
     */
    openUnsupported: string;
    /**
     * Sets the content for the dialog that warns about modifying a merged cell.
     */
    modifyMerged: string;
    /**
     * Sets the content for the dialog that warns about modifying a disabled cell.
     */
    cannotModifyDisabled: string;
    /**
     * Sets the text for the **OK** dialog button.
     */
    dialogOk: string;
    /**
     * Sets the title for an error dialog.
     */
    dialogError: string;
    /**
     * Sets the content for the dialog that warns about duplicated sheet name.
     */
    duplicateSheetName: string;
    /**
     * Sets the Copy command text.
     */
    copy: string;
    /**
     * Sets the Cut command text.
     */
    cut: string;
    /**
     * Sets the Paste command text.
     */
    paste: string;
    /**
     * Sets the Hide row command text.
     */
    hideRow: string;
    /**
     * Sets the Unhide row command text.
     */
    unhideRow: string;
    /**
     * Sets the Hide column command text.
     */
    hideColumn: string;
    /**
     * Sets the Unhide column command text.
     */
    unhideColumn: string;
    /**
     * Sets the text for the Sheet menu Delete option.
     */
    sheetDelete: string;
    /**
     * Sets the text for the Sheet menu Rename option.
     */
    sheetRename: string;
    /**
     * Sets the text for the Sheet menu Hide option.
     */
    sheetHide: string;
    /**
     * Sets the text for the Sheet menu Duplicate option.
     */
    sheetDuplicate: string;
    /**
     * Sets the text for the Sheet menu Move Left option.
     */
    sheetMoveLeft: string;
    /**
     * Sets the text for the Sheet menu Move Right option.
     */
    sheetMoveRight: string;
    /**
     * Sets the content for the dialog that warns about invalid name input.
     *
     * The content consists of a two-part message - the input value and a localizable string.
     * For user value input **A1%**, the default dialog content will be **Invalid name: A1%**.
     *
     * To allow reordering the input value and the localizable part, the `invalidNameError` accepts a string with a
     * placeholder for the input value, for example, **{inputValue} is invalid**. The `{inputValue}` placeholder will be replaced
     * internally with the current value, and the resulting label will be rendered as **A1% is invalid**.
     */
    invalidNameError: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessagesDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MessagesDirective, "[kendoSpreadsheetMessages]", never, { "home": { "alias": "home"; "required": false; }; "file": { "alias": "file"; "required": false; }; "insert": { "alias": "insert"; "required": false; }; "formatTab": { "alias": "formatTab"; "required": false; }; "dataTab": { "alias": "dataTab"; "required": false; }; "saveFile": { "alias": "saveFile"; "required": false; }; "loadFile": { "alias": "loadFile"; "required": false; }; "bold": { "alias": "bold"; "required": false; }; "dataValidation": { "alias": "dataValidation"; "required": false; }; "validationCellRange": { "alias": "validationCellRange"; "required": false; }; "validationCriteria": { "alias": "validationCriteria"; "required": false; }; "validationComparer": { "alias": "validationComparer"; "required": false; }; "validationMinValue": { "alias": "validationMinValue"; "required": false; }; "validationMaxValue": { "alias": "validationMaxValue"; "required": false; }; "validationStartValue": { "alias": "validationStartValue"; "required": false; }; "validationEndValue": { "alias": "validationEndValue"; "required": false; }; "validationValue": { "alias": "validationValue"; "required": false; }; "validationShowListButtonCheckbox": { "alias": "validationShowListButtonCheckbox"; "required": false; }; "validationShowDateButtonCheckbox": { "alias": "validationShowDateButtonCheckbox"; "required": false; }; "validationIgnoreBlankCheckbox": { "alias": "validationIgnoreBlankCheckbox"; "required": false; }; "validationOnInvalidData": { "alias": "validationOnInvalidData"; "required": false; }; "validationRejectInput": { "alias": "validationRejectInput"; "required": false; }; "validationShowWarning": { "alias": "validationShowWarning"; "required": false; }; "validationShowHint": { "alias": "validationShowHint"; "required": false; }; "anyValueValidationCriteria": { "alias": "anyValueValidationCriteria"; "required": false; }; "numberValidationCriteria": { "alias": "numberValidationCriteria"; "required": false; }; "textValidationCriteria": { "alias": "textValidationCriteria"; "required": false; }; "dateValidationCriteria": { "alias": "dateValidationCriteria"; "required": false; }; "customFormulaValidationCriteria": { "alias": "customFormulaValidationCriteria"; "required": false; }; "listValidationCriteria": { "alias": "listValidationCriteria"; "required": false; }; "greaterThanValidationComparer": { "alias": "greaterThanValidationComparer"; "required": false; }; "lessThanValidationComparer": { "alias": "lessThanValidationComparer"; "required": false; }; "betweenValidationComparer": { "alias": "betweenValidationComparer"; "required": false; }; "notBetweenValidationComparer": { "alias": "notBetweenValidationComparer"; "required": false; }; "equalToValidationComparer": { "alias": "equalToValidationComparer"; "required": false; }; "notEqualToValidationComparer": { "alias": "notEqualToValidationComparer"; "required": false; }; "greaterThanOrEqualToValidationComparer": { "alias": "greaterThanOrEqualToValidationComparer"; "required": false; }; "lessThanOrEqualToValidationComparer": { "alias": "lessThanOrEqualToValidationComparer"; "required": false; }; "validationHintMessage": { "alias": "validationHintMessage"; "required": false; }; "validationHintTitle": { "alias": "validationHintTitle"; "required": false; }; "italic": { "alias": "italic"; "required": false; }; "underline": { "alias": "underline"; "required": false; }; "format": { "alias": "format"; "required": false; }; "fontFamily": { "alias": "fontFamily"; "required": false; }; "fontSize": { "alias": "fontSize"; "required": false; }; "undo": { "alias": "undo"; "required": false; }; "redo": { "alias": "redo"; "required": false; }; "background": { "alias": "background"; "required": false; }; "color": { "alias": "color"; "required": false; }; "gridLines": { "alias": "gridLines"; "required": false; }; "addColumnLeft": { "alias": "addColumnLeft"; "required": false; }; "addColumnRight": { "alias": "addColumnRight"; "required": false; }; "addRowBelow": { "alias": "addRowBelow"; "required": false; }; "addRowAbove": { "alias": "addRowAbove"; "required": false; }; "deleteColumn": { "alias": "deleteColumn"; "required": false; }; "deleteRow": { "alias": "deleteRow"; "required": false; }; "wrap": { "alias": "wrap"; "required": false; }; "align": { "alias": "align"; "required": false; }; "alignHorizontal": { "alias": "alignHorizontal"; "required": false; }; "alignVertical": { "alias": "alignVertical"; "required": false; }; "alignLeft": { "alias": "alignLeft"; "required": false; }; "alignCenter": { "alias": "alignCenter"; "required": false; }; "alignRight": { "alias": "alignRight"; "required": false; }; "alignJustify": { "alias": "alignJustify"; "required": false; }; "alignTop": { "alias": "alignTop"; "required": false; }; "alignMiddle": { "alias": "alignMiddle"; "required": false; }; "alignBottom": { "alias": "alignBottom"; "required": false; }; "dialogApply": { "alias": "dialogApply"; "required": false; }; "dialogCancel": { "alias": "dialogCancel"; "required": false; }; "dialogDelete": { "alias": "dialogDelete"; "required": false; }; "dialogRename": { "alias": "dialogRename"; "required": false; }; "dialogInsert": { "alias": "dialogInsert"; "required": false; }; "dialogRemove": { "alias": "dialogRemove"; "required": false; }; "dialogRemoveLink": { "alias": "dialogRemoveLink"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "rename": { "alias": "rename"; "required": false; }; "nameBox": { "alias": "nameBox"; "required": false; }; "formulaInput": { "alias": "formulaInput"; "required": false; }; "addSheet": { "alias": "addSheet"; "required": false; }; "sheetsMenu": { "alias": "sheetsMenu"; "required": false; }; "view": { "alias": "view"; "required": false; }; "merge": { "alias": "merge"; "required": false; }; "mergeHorizontally": { "alias": "mergeHorizontally"; "required": false; }; "mergeVertically": { "alias": "mergeVertically"; "required": false; }; "mergeAll": { "alias": "mergeAll"; "required": false; }; "unmerge": { "alias": "unmerge"; "required": false; }; "insertLink": { "alias": "insertLink"; "required": false; }; "increaseDecimal": { "alias": "increaseDecimal"; "required": false; }; "decreaseDecimal": { "alias": "decreaseDecimal"; "required": false; }; "increaseFontSize": { "alias": "increaseFontSize"; "required": false; }; "decreaseFontSize": { "alias": "decreaseFontSize"; "required": false; }; "openUnsupported": { "alias": "openUnsupported"; "required": false; }; "modifyMerged": { "alias": "modifyMerged"; "required": false; }; "cannotModifyDisabled": { "alias": "cannotModifyDisabled"; "required": false; }; "dialogOk": { "alias": "dialogOk"; "required": false; }; "dialogError": { "alias": "dialogError"; "required": false; }; "duplicateSheetName": { "alias": "duplicateSheetName"; "required": false; }; "copy": { "alias": "copy"; "required": false; }; "cut": { "alias": "cut"; "required": false; }; "paste": { "alias": "paste"; "required": false; }; "hideRow": { "alias": "hideRow"; "required": false; }; "unhideRow": { "alias": "unhideRow"; "required": false; }; "hideColumn": { "alias": "hideColumn"; "required": false; }; "unhideColumn": { "alias": "unhideColumn"; "required": false; }; "sheetDelete": { "alias": "sheetDelete"; "required": false; }; "sheetRename": { "alias": "sheetRename"; "required": false; }; "sheetHide": { "alias": "sheetHide"; "required": false; }; "sheetDuplicate": { "alias": "sheetDuplicate"; "required": false; }; "sheetMoveLeft": { "alias": "sheetMoveLeft"; "required": false; }; "sheetMoveRight": { "alias": "sheetMoveRight"; "required": false; }; "invalidNameError": { "alias": "invalidNameError"; "required": false; }; }, {}, never, never, true, never>;
}
