/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The configuration object for customizing the built-in menu items.
 * Lets you render a specific set of menu items in the desired order and choose the initially active one.
 */
export interface SpreadsheetMainMenuItem {
    /**
     * Specifies the built-in menu item identifier.
     */
    id: 'file' | 'home' | 'insert' | 'format' | 'view' | 'data';
    /**
     * Determines if the menu item is initially active.
     * If no item is set as active, the first one is active by default.
     * If more than one item is set as active, the first of them is active.
     */
    active?: boolean;
}
