/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ToolBarComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetLocalizationService } from '../../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../../common/spreadsheet.service';
import { SpreadsheetToolsService } from '../tools.service';
import { SpreadsheetDropDownToolBase } from '../shared/spreadsheet-dropdown-tools-base';
import { DialogService } from '@progress/kendo-angular-dialog';
import * as i0 from "@angular/core";
/**
 * A component which configures an existing `ColorPickerComponent` as a Spreadsheet tool to change the background color.
 *
 * The component associates a `kendo-colorpicker` with a Spreadsheet command that changes the background color of a content block and
 * automatically defines the options of the color picker and sets its values. [See example](slug:toolbar_tools_spreadsheet#home-menu-item-tools).
 * @hidden
 */
export declare class SpreadsheetBackColorComponent extends SpreadsheetDropDownToolBase {
    constructor(dialogService: DialogService, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService, toolbar: ToolBarComponent);
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetBackColorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpreadsheetBackColorComponent, "kendo-spreadsheet-backcolor-tool", never, {}, {}, never, never, true, never>;
}
