/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogService } from '@progress/kendo-angular-dialog';
import { ToolBarComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetLocalizationService } from '../../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../../common/spreadsheet.service';
import { SpreadsheetToolsService } from '../tools.service';
import { SpreadsheetDropDownToolBase } from '../shared/spreadsheet-dropdown-tools-base';
import * as i0 from "@angular/core";
/**
 * A component which configures an existing `DropDownListComponent` as a Spreadsheet tool.
 * The component associates a `kendo-toolbar-dropdownlist` with a Spreadsheet command that changes the font family of a content block and
 * automatically defines the options of the drop-down list and sets its values. [See example](slug:toolbar_tools_spreadsheet#home-menu-item-tools).
 *
 * @hidden
 */
export declare class SpreadsheetFontFamilyComponent extends SpreadsheetDropDownToolBase {
    constructor(dialogService: DialogService, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService, toolbar: ToolBarComponent);
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetFontFamilyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpreadsheetFontFamilyComponent, "kendo-toolbar-dropdownlist[kendoSpreadsheetFontFamily]", never, {}, {}, never, never, true, never>;
}
